flex for android インストールされていませんエラー

Flex for Android (mobile?) にて作成したAndroidアプリケーションを実機にインストールしようとしたところ…
「インストールされていません」などと言うIEのようなエラーを吐き出しやがりまして、めっちゃハマった。。

環境

  • Flash Builder 4.7
  • Flex SDK 4.10.0

同じ証明書ファイル(.p12)でiOS用には問題なくコンパイルでき、実機テストもできたのに…

解決方法

英語環境で同一エラーを出したところ、「Application not installed」とメッセージが表示され、いつもどおりStack over flowに。

Flash Builder 4.5.1 published android app does not runにあるように、証明書を再度作成する事で解決された。

結局証明書に何かしら不備があったのけど…何がいけなかったのか。。

はぁ…変にハマって数時間無駄にした。。。。

SHOTA

I'm WEB developer

Tokyo, Japan http://senta.me/